Index: tests/CodeChecks/Makefile.am
===================================================================
--- tests/CodeChecks/Makefile.am	(revision 1e45f1fb84ae30e44c393f19156012e19f962ac3)
+++ tests/CodeChecks/Makefile.am	(revision d5f7b82f4661b07c35988437ed7f4a1719b312b1)
@@ -9,5 +9,6 @@
 	testsuite-header-dist.at \
 	testsuite-memdebug.at \
-	testsuite-project-disclaimer.at
+	testsuite-project-disclaimer.at \
+	testsuite-testsuite-in-makefile.at
 
 DISTCLEANFILES = atconfig
Index: tests/CodeChecks/testsuite-testsuite-in-makefile.at
===================================================================
--- tests/CodeChecks/testsuite-testsuite-in-makefile.at	(revision d5f7b82f4661b07c35988437ed7f4a1719b312b1)
+++ tests/CodeChecks/testsuite-testsuite-in-makefile.at	(revision d5f7b82f4661b07c35988437ed7f4a1719b312b1)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2014 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+AT_SETUP([Checking for presence of every regression testsuite in Makefile])
+AT_KEYWORDS([CodeCheck testsuite Makefile])
+ok=""
+okdir=""
+echo `pwd`
+echo "${#ok[*]} are ok to not contain config.h: ${ok[*]}."
+liste=`find ${abs_top_srcdir}/tests/regression -name '*.at'`
+for file in $liste
+do
+  # check whether its one of the excluded ones
+  found=0
+  for item in $okdir
+  do
+    if test "`dirname $file`" == "${abs_top_srcdir}/tests/regression/$item"
+    then
+    	found=1
+   		break
+   	fi
+  done
+  # skip other specific files from 3rd party source or created ones
+  for item in $ok
+  do
+    if test "$item" == "`basename $file`"
+    then
+      found=1
+      break
+    fi
+  done
+  # if not, check whether it contains the include
+  filename=`echo $file | sed -e "s#${abs_top_srcdir}/tests/regression/*##g"`
+  if test $found -eq 0
+  then
+    AT_CHECK([egrep "$filename" ${abs_top_srcdir}/tests/regression/Makefile.am], 0, [ignore], [ignore], [echo "Could not find testsuite $filename in tests/regression/Makefile.am."])
+  fi
+done
+AT_CLEANUP
Index: tests/CodeChecks/testsuite.at
===================================================================
--- tests/CodeChecks/testsuite.at	(revision 1e45f1fb84ae30e44c393f19156012e19f962ac3)
+++ tests/CodeChecks/testsuite.at	(revision d5f7b82f4661b07c35988437ed7f4a1719b312b1)
@@ -41,2 +41,4 @@
 
 m4_include(testsuite-header-dist.at)
+
+m4_include(testsuite-testsuite-in-makefile.at)
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 1e45f1fb84ae30e44c393f19156012e19f962ac3)
+++ tests/regression/Makefile.am	(revision d5f7b82f4661b07c35988437ed7f4a1719b312b1)
@@ -29,4 +29,6 @@
 TESTSCRIPTS =
 
+# PLEASE adhere to alphabetical ordering of TESTSCRIPTS
+
 TESTSCRIPTS += \
 	$(srcdir)/Atoms/testsuite-atoms.at \
@@ -34,6 +36,6 @@
 	$(srcdir)/Atoms/ChangeElement/testsuite-atoms-change-element.at \
 	$(srcdir)/Atoms/Remove/testsuite-atoms-remove.at \
+	$(srcdir)/Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at \
 	$(srcdir)/Atoms/RemoveSphere/testsuite-atoms-remove-sphere.at \
-	$(srcdir)/Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at \
 	$(srcdir)/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at \
 	$(srcdir)/Atoms/Translation/testsuite-atoms-translation.at \
@@ -44,29 +46,27 @@
 	$(srcdir)/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at \
 	$(srcdir)/Analysis/DipoleAngularCorrelation-PeriodicBoundaries/testsuite-analysis-dipole-angular-correlation-periodic-boundaries.at \
+	$(srcdir)/Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at \
 	$(srcdir)/Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at \
-	$(srcdir)/Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at \
 	$(srcdir)/Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at \
 	$(srcdir)/Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at \
 	$(srcdir)/Analysis/PointCorrelation/testsuite-analysis-point-correlation.at \
+	$(srcdir)/Analysis/PrincipalAxisSystem/testsuite-analysis-principal-axis-system.at \
 	$(srcdir)/Analysis/SurfaceCorrelation/testsuite-analysis-surface-correlation.at \
-	$(srcdir)/Analysis/PrincipalAxisSystem/testsuite-analysis-principal-axis-system.at \
 	$(srcdir)/Domain/testsuite-domain.at \
+	$(srcdir)/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at \
 	$(srcdir)/Domain/BoundInBox/testsuite-domain-bound-in-box.at \
+	$(srcdir)/Domain/CenterInBox/testsuite-domain-center-in-box.at \
+	$(srcdir)/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at \
 	$(srcdir)/Domain/ChangeBox/testsuite-domain-change-box.at \
-	$(srcdir)/Domain/CenterInBox/testsuite-domain-center-in-box.at \
-	$(srcdir)/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at \
-	$(srcdir)/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at \
+	$(srcdir)/Domain/RepeatBox/testsuite-domain-repeat-box.at \
 	$(srcdir)/Domain/ScaleBox/testsuite-domain-scale-box.at \
 	$(srcdir)/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at \
-	$(srcdir)/Domain/RepeatBox/testsuite-domain-repeat-box.at \
 	$(srcdir)/Filling/testsuite-filling.at \
+	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-molecule.at \
+	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at \
 	$(srcdir)/Filling/FillWithMolecule/testsuite-fill-with-molecule.at \
-	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at \
-	$(srcdir)/Filling/SuspendInWater/testsuite-suspend-in-water.at \
 	$(srcdir)/Filling/RegularGrid/testsuite-molecules-fill-regular-grid.at \
 	$(srcdir)/Filling/RegularGrid/testsuite-molecules-fill-regular-grid-with-surface.at \
 	$(srcdir)/Filling/SphericalSurface/testsuite-molecules-fill-spherical-surface.at \
-	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-molecule.at \
-	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at \
 	$(srcdir)/Filling/SuspendInWater/testsuite-suspend-in-water.at \
 	$(srcdir)/Fragmentation/testsuite-fragmentation.at \
@@ -88,4 +88,7 @@
 	$(srcdir)/Molecules/Copy/testsuite-molecules-copy-molecule.at \
 	$(srcdir)/Molecules/LinearInterpolationofTrajectories/testsuite-molecules-linear-interpolation-of-trajectories.at \
+	$(srcdir)/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at \
+	$(srcdir)/Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
+	$(srcdir)/Molecules/RotateToPrincipalAxisSystem/testsuite-molecules-rotate-to-principal-axis-system.at \
 	$(srcdir)/Molecules/SaveAdjacency/testsuite-molecules-save-adjacency.at \
 	$(srcdir)/Molecules/SaveBonds/testsuite-molecules-save-bonds.at \
@@ -93,10 +96,7 @@
 	$(srcdir)/Molecules/SaveTemperature/testsuite-molecules-save-temperature.at \
 	$(srcdir)/Molecules/StretchBond/testsuite-molecules-stretch-bond.at \
-	$(srcdir)/Molecules/VerletIntegration/testsuite-molecules-verlet-integration.at \
 	$(srcdir)/Molecules/Translation/testsuite-molecules-translation.at \
 	$(srcdir)/Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at \
-	$(srcdir)/Molecules/RotateToPrincipalAxisSystem/testsuite-molecules-rotate-to-principal-axis-system.at \
-	$(srcdir)/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at \
-	$(srcdir)/Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
+	$(srcdir)/Molecules/VerletIntegration/testsuite-molecules-verlet-integration.at \
 	$(srcdir)/Options/testsuite-options.at \
 	$(srcdir)/Options/BondLengthTable/testsuite-options-bond-length-table.at \
@@ -162,4 +162,5 @@
 	$(srcdir)/Parser/Xyz/testsuite-parser-xyz-multiple-timesteps.at \
 	$(srcdir)/Parser/Xyz/testsuite-parser-xyz-save.at \
+	$(srcdir)/Potential/testsuite-potential.at \
 	$(srcdir)/Potential/FitParticleCharges/testsuite-potential-fit-particle-charges.at \
 	$(srcdir)/Potential/FitPotential/testsuite-potential-fit-potential.at \
@@ -208,8 +209,8 @@
 	$(srcdir)/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at \
 	$(srcdir)/Tesselation/testsuite-tesselation.at \
-	$(srcdir)/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at \
+	$(srcdir)/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at \
+	$(srcdir)/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at \
 	$(srcdir)/Tesselation/Convex/testsuite-tesselation-convex-envelope.at \
-	$(srcdir)/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at \
-	$(srcdir)/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at
+	$(srcdir)/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at
 
 max_jobs = 4
